Reinforcement BentShapeRebar/it: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
No edit summary
(44 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommandAddon|Name=Arch Rebar BentShape|Workbenches=[[Arch Module|Arch]]|Addon=Reinforcement|MenuLocation=Arch → Rebar tools|Shortcut=None|SeeAlso=[[Arch_Rebar_Stirrup|Stirrup]]}}
{{docnav/it|[[Arch_Rebar_LShape/it|Armatura a L]]|[[Arch_Rebar_Stirrup/it|Staffe armatura]]|[[Arch_Module/it|Arch]]|IconL=Arch_Rebar_LShape.svg |IconC=Workbench_Arch.svg |IconR=Arch_Rebar_Stirrup.svg}}


{{GuiCommand/it
==Description==
|Name=Arch Rebar BentShape
|Name/it=Armatura sagomata
|MenuLocation=Arch → Armatura → Armatura sagomata
|Workbenches=[[Arch Workbench/it|Arch]], [[BIM Workbench/it|BIM]]
|SeeAlso=[[Arch_Rebar_Stirrup/it|Staffe armatura]], [[Arch Rebar/it|Armatura]]
|Version=0.17
}}


==Descrizione==
The {{KEY|[[Image:Arch_Rebar_BentShape.png|16px]] Bent Shape Rebar}} tool allows user to create a bent shape reinforcing bar in the structural element.


Lo strumento [[Arch Rebar BentShape/it|Armatura sagomata]] consente all'utente di creare una serie di barre d'armatura piegate all'interno di un oggetto [[Arch Structure/it|Struttura]].
[[Image:BentShapeRebar.png|800px]]


Questo comando fa parte del addon [[Reinforcement Addon/it|Reinforcement]], che si può installare con [[Addon Manager/it|Addon manager]], tramite il menu {{MenuCommand|Strumenti → Addon manager → Reinforcement}}.
==How to use==


[[Image:Arch_Rebar_BentShape_example.png|400px]]
# Create a [[Arch Structure|structure]] element
{{Caption|Due serie di barre di rinforzo piegate all'interno di una [[Arch Structure/it|Struttura]]}}
# Select any face of the structure
# Then select {{KEY|[[Image:Arch_Rebar_BentShape.png|16px]] Bent Shape Rebar}} from the rebar tools
# A task panel will pop-out on the left side of the screen as shown below [[Image:BentShapeDialog.png|250px]]
# Select the desired orientation
# Give the inputs like front cover, left cover, right cover, bottom cover, top cover, anchor length, bent angle, rounding and diameter of the rebar
# Select the mode of distribution either amount or spacing
# If spacing is selected, a user can also opt for [[Custom_Spacing|custom spacing]]
# Pick selected face is used to verify or change the face for rebar distribution
# Click {{KEY|OK}} or {{KEY|Apply}} to generate the rebars
# Click {{KEY|Cancel}} to exit the task panel


==Properties==
== Utilizzo ==


# Selezionare una qualsiasi faccia dell'oggetto {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure/it|Struttura]]}} creato in precedenza.
* {{PropertyData|Orientation}}: It decides the orientation of the rebar (like a bottom, top, right and left).
# Quindi selezionare {{Button|[[Image:Arch_Rebar_BentShape.svg|16px]] [[Arch Rebar BentShape/it|Armatura sagomata]]}} dagli strumenti dell'armatura.
* {{PropertyData|Front Cover}}: The distance between rebar and selected face.
# Sul lato sinistro dello schermo appare un pannello delle azioni come quello sottostante.
* {{PropertyData|Left Cover}}: The distance between the left end of the rebar to the left face of the structure.
# Selezionare l'orientamento desiderato.
* {{PropertyData|Right Cover}}: The distance between the right end of the rebar to right face of the structure.
# Fornire i dati per front cover, right side cover, left side cover, bottom cover, top cover, rounding factor e diameter of the rebar.
* {{PropertyData|Bottom Cover}}: The distance between rebar from the bottom face of the structure.
# Selezionare la modalità di distribuzione per la quantità o per la spaziatura.
* {{PropertyData|Top Cover}}: The distance between rebar from the top face of the structure.
# Se è selezionata la spaziatura, l'utente può anche optare per una [[Custom_Spacing/it|spaziatura personalizzata]].
* {{PropertyData|Anchor Length}}: It is the arm's length of bent shape rebar.
# Cliccare sulla faccia selezionata serve per verificare o modificare la faccia per la distribuzione dell'armatura.
* {{PropertyData|Bent Angle}}: It decides angle in bent shape rebar.
# Cliccare {{Button|OK}} o {{Button|Apply}} per generare l'armatura.
* {{PropertyData|Amount}}: The amount of rebars.
# Cliccare {{Button|Cancel}} per uscire dal pannello delle azioni.
* {{PropertyData|Spacing}}: The distance between the axes of each bar.


[[Image:BentShapeDialog.png|250px]]
==Scripting==
{{Caption|Pannello Azioni per lo strumento Armatura sagomata di Arch}}


== Proprietà ==
The {{KEY|[[Image:Arch_Rebar_BentShape.png|16px]] Bent Shape Rebar}} tool can by used in [[macros]] and from the python console by using the following function:


* {{PropertyData/it|Orientation}}: Decide l'orientamento dell'armatura (es. in basso, in alto, a destra e a sinistra).
* {{PropertyData/it|Front Cover}}: La distanza tra l'armatura e la faccia selezionata. Copriferro anteriore
* {{PropertyData/it|Right Cover}}: La distanza tra l'estremità destra della barra di destra e la faccia destra della struttura. Copriferro destro
* {{PropertyData/it|Left Cover}}: La distanza tra l'estremità sinistra della barra di sinistra e la faccia sinistra della struttura. Copriferro sinistro
* {{PropertyData/it|Bottom Cover}}: La distanza tra l'armatura e la parte inferiore della struttura. Copriferro inferiore
* {{PropertyData/it|Top Cover}}: La distanza tra l'armatura e la parte superiore della struttura. Copriferro superiore
* {{PropertyData/it|Anchor Length}}: È la lunghezza del braccio della barra piegata.
* {{PropertyData/it|Bent Angle}}: L'angolo di piega
* {{PropertyData/it|Amount}}: La quantità di barre.
* {{PropertyData/it|Spacing}}: La distanza tra gli assi di ogni barra.

==Scripting==
{{Emphasis|Vedere anche:}} [[Arch API/it|API Arch]], [[Reinforcement API/it|API Reinforcement]] e [[FreeCAD Scripting Basics/it|Script di base per FreeCAD]].

Lo strumento Armatura sagomata può essere utilizzato nelle [[macros/it|macro]] e dalla console [[Python/it|Python]] tramite la seguente funzione:
{{Code|code=
{{Code|code=
Rebar = makeBentShapeRebar(f_cover, b_cover, l_cover, r_cover,
makeBentShapeRebar(FrontCover, BottomCover, LeftCover, RightCover, Diameter, TopCover, BentLength, BentAngle, Rounding, AmountSpacingCheck, AmountSpacingValue, Orientation, Structure, Facename)
diameter, t_cover, bentLength, bentAngle, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom",
structure=None, facename=None)
}}
}}


* Crea un oggetto {{incode|Rebar}} dalla {{incode|structure}} data, che è una [[Arch Structure/it|Struttura]], e da una {{incode|facename}}, che è una faccia di quella struttura.
* The Bent Shape Rebar have four different orientations:
** Se non è data nessuna {{incode|structure}} e neppure una {{incode|facename}}, prende come riferimento la faccia selezionata dall'utente.
** Bottom
* {{incode|f_cover}}, {{incode|b_cover}}, {{incode|l_cover}}, {{incode|r_cover}}, e {{incode|t_cover}} sono le distanze di offset interne per gli elementi dell'armatura rispetto alle facce della struttura. Sono rispettivamente gli offset anteriore, inferiore, sinistro, destro e superiore.
** Top
* {{incode|diameter}} è il diametro delle barre di rinforzo all'interno della struttura.
** Left
* {{incode|rounding}} è il parametro che determina il raggio di curvatura al centro delle barre di armatura.
** Right
* {{incode|bentLength}} e {{incode|bentAngle}} definisce la lunghezza della punta delle barre di rinforzo e l'angolo di piegatura al centro dalle barre.
* Adds a Bent Shape reinforcing bar object to the given structural object.
* Se {{incode|amount_spacing_check}} è {{incode|True}} crea tante barre di rinforzo quante sono definite da {{incode|amount_spacing_value}}; se è {{incode|False}} crea le barre di rinforzo separate dal valore numerico indicato in {{incode|amount_spacing_value}}.
* If no Structure and Facename is given, it will take user selected face as input.
* {{incode|amount_spacing_value}} specifica il numero di barre di rinforzo o il valore della separazione tra di esse, secondo come sono indicate in {{incode|amount_spacing_check}}.
* Here CoverAlong argument is having type tuple.
* {{incode|orientation}} specifica l'orientamento della barra d'armatura; può essere {{incode|"Bottom"}}, {{incode|"Top"}}, {{incode|"Left"}}, o {{incode|"Right"}}.
* Returns the new Rebar object.


=== Esempio ===
Example:
Creating Bent Shape rebar.
{{Code|code=
{{Code|code=
import Arch, BentShapeRebar
import FreeCAD, Arch, BentShapeRebar

structure = Arch.makeStructure(length=1000.0, width=1000.0, height=100.0)
Structure = Arch.makeStructure(length=1000, width=1000, height=100)
structure.ViewObject.Transparency = 80
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
FreeCAD.ActiveDocument.recompute()

rebar = BentShapeRebar.makeBentShapeRebar(20, 20, 20, 20, 8, 20, 100, 135, 2, True, 10, "Bottom", structure, "Face1")
Rebar = BentShapeRebar.makeBentShapeRebar(50, 20, 20, 20,
8, 40, 100, 135, 2, True, 4, "Bottom", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = BentShapeRebar.makeBentShapeRebar(50, 40, 20, 20,
8, 20, 100, 135, 2, True, 4, "Bottom", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)
}}
}}


=== Modifica delle barre ===
Changing properties of Bent Shape rebar.

È possibile modificare le proprietà dell'armatura con la seguente funzione:
{{Code|code=
editBentShapeRebar(Rebar, f_cover, b_cover, l_cover, r_cover,
diameter, t_cover, bentLength, bentAngle, rounding, amount_spacing_check, amount_spacing_value, orientation,
structure=None, facename=None)
}}

* {{incode|Rebar}} è l'oggetto {{incode|BentShapeRebar}} creato in precedenza.
* Gli altri parametri sono gli stessi richiesti dalla funzione {{incode|makeBentShapeRebar()}}.
* {{incode|structure}} e {{incode|facename}} possono essere omesse in modo che l'armatura rimanga nella struttura originale.

{{Code|code=
{{Code|code=
import BentShapeRebar
import BentShapeRebar

BentShapeRebar.editBentShapeRebar(rebar, 50, 50, 50, 50, 12, 20, 100, 135, 2, True, 10, "Top")
BentShapeRebar.editBentShapeRebar(Rebar, 50, 20, 20, 20,
12, 20, 100, 155, 2, True, 6, "Top")

BentShapeRebar.editBentShapeRebar(Rebar2, 50, 35, 20, 20,
12, 35, 100, 155, 2, True, 6, "Top")
}}
}}
{{docnav/it|[[Arch_Rebar_LShape/it|Armatura a L]]|[[Arch_Rebar_Stirrup/it|Staffe armatura]]|[[Arch_Module/it|Arch]]|IconL=Arch_Rebar_LShape.svg |IconC=Workbench_Arch.svg |IconR=Arch_Rebar_Stirrup.svg}}


{{Arch Tools navi/it}}


{{clear}}
{{Userdocnavi/it}}

<languages/>
[[Category:Reinforcement/it]]

Revision as of 09:12, 7 April 2019

Armatura sagomata

Posizione nel menu
Arch → Armatura → Armatura sagomata
Ambiente
Arch, BIM
Avvio veloce
Nessuno
Introdotto nella versione
0.17
Vedere anche
Staffe armatura, Armatura

Descrizione

Lo strumento Armatura sagomata consente all'utente di creare una serie di barre d'armatura piegate all'interno di un oggetto Struttura.

Questo comando fa parte del addon Reinforcement, che si può installare con Addon manager, tramite il menu Strumenti → Addon manager → Reinforcement.

Due serie di barre di rinforzo piegate all'interno di una Struttura

Utilizzo

  1. Selezionare una qualsiasi faccia dell'oggetto Struttura creato in precedenza.
  2. Quindi selezionare Armatura sagomata dagli strumenti dell'armatura.
  3. Sul lato sinistro dello schermo appare un pannello delle azioni come quello sottostante.
  4. Selezionare l'orientamento desiderato.
  5. Fornire i dati per front cover, right side cover, left side cover, bottom cover, top cover, rounding factor e diameter of the rebar.
  6. Selezionare la modalità di distribuzione per la quantità o per la spaziatura.
  7. Se è selezionata la spaziatura, l'utente può anche optare per una spaziatura personalizzata.
  8. Cliccare sulla faccia selezionata serve per verificare o modificare la faccia per la distribuzione dell'armatura.
  9. Cliccare OK o Apply per generare l'armatura.
  10. Cliccare Cancel per uscire dal pannello delle azioni.

Pannello Azioni per lo strumento Armatura sagomata di Arch

Proprietà

  • DatiOrientation: Decide l'orientamento dell'armatura (es. in basso, in alto, a destra e a sinistra).
  • DatiFront Cover: La distanza tra l'armatura e la faccia selezionata. Copriferro anteriore
  • DatiRight Cover: La distanza tra l'estremità destra della barra di destra e la faccia destra della struttura. Copriferro destro
  • DatiLeft Cover: La distanza tra l'estremità sinistra della barra di sinistra e la faccia sinistra della struttura. Copriferro sinistro
  • DatiBottom Cover: La distanza tra l'armatura e la parte inferiore della struttura. Copriferro inferiore
  • DatiTop Cover: La distanza tra l'armatura e la parte superiore della struttura. Copriferro superiore
  • DatiAnchor Length: È la lunghezza del braccio della barra piegata.
  • DatiBent Angle: L'angolo di piega
  • DatiAmount: La quantità di barre.
  • DatiSpacing: La distanza tra gli assi di ogni barra.

Scripting

Vedere anche: API Arch, API Reinforcement e Script di base per FreeCAD.

Lo strumento Armatura sagomata può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

Rebar = makeBentShapeRebar(f_cover, b_cover, l_cover, r_cover,
                           diameter, t_cover, bentLength, bentAngle, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom",
                           structure=None, facename=None)
  • Crea un oggetto Rebar dalla structure data, che è una Struttura, e da una facename, che è una faccia di quella struttura.
    • Se non è data nessuna structure e neppure una facename, prende come riferimento la faccia selezionata dall'utente.
  • f_cover, b_cover, l_cover, r_cover, e t_cover sono le distanze di offset interne per gli elementi dell'armatura rispetto alle facce della struttura. Sono rispettivamente gli offset anteriore, inferiore, sinistro, destro e superiore.
  • diameter è il diametro delle barre di rinforzo all'interno della struttura.
  • rounding è il parametro che determina il raggio di curvatura al centro delle barre di armatura.
  • bentLength e bentAngle definisce la lunghezza della punta delle barre di rinforzo e l'angolo di piegatura al centro dalle barre.
  • Se amount_spacing_check è True crea tante barre di rinforzo quante sono definite da amount_spacing_value; se è False crea le barre di rinforzo separate dal valore numerico indicato in amount_spacing_value.
  • amount_spacing_value specifica il numero di barre di rinforzo o il valore della separazione tra di esse, secondo come sono indicate in amount_spacing_check.
  • orientation specifica l'orientamento della barra d'armatura; può essere "Bottom", "Top", "Left", o "Right".

Esempio

import FreeCAD, Arch, BentShapeRebar

Structure = Arch.makeStructure(length=1000, width=1000, height=100)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = BentShapeRebar.makeBentShapeRebar(50, 20, 20, 20,
                                          8, 40, 100, 135, 2, True, 4, "Bottom", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = BentShapeRebar.makeBentShapeRebar(50, 40, 20, 20,
                                           8, 20, 100, 135, 2, True, 4, "Bottom", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)

Modifica delle barre

È possibile modificare le proprietà dell'armatura con la seguente funzione:

editBentShapeRebar(Rebar, f_cover, b_cover, l_cover, r_cover,
                   diameter, t_cover, bentLength, bentAngle, rounding, amount_spacing_check, amount_spacing_value, orientation,
                   structure=None, facename=None)
  • Rebar è l'oggetto BentShapeRebar creato in precedenza.
  • Gli altri parametri sono gli stessi richiesti dalla funzione makeBentShapeRebar().
  • structure e facename possono essere omesse in modo che l'armatura rimanga nella struttura originale.
import BentShapeRebar

BentShapeRebar.editBentShapeRebar(Rebar, 50, 20, 20, 20,
                                  12, 20, 100, 155, 2, True, 6, "Top")

BentShapeRebar.editBentShapeRebar(Rebar2, 50, 35, 20, 20,
                                  12, 35, 100, 155, 2, True, 6, "Top")